#include "QOgreGraphicsScene.h"
#include <OpenGl_GraphicDriver.hxx>
QOgreGraphicsScene::QOgreGraphicsScene()
{
    initOcc();
    aView = myContext->CurrentViewer()->CreateView();
}

QOgreGraphicsScene::~QOgreGraphicsScene()
{
}

void QOgreGraphicsScene::drawBackground( QPainter * painter, const QRectF & rect )
{
    // Implement rendering/re-drawing here
    // For example aViewer->drawOpenGl();
}

void QOgreGraphicsScene::initOcc()
{
    Handle(Graphic3d_GraphicDriver) aGraphicDriver = new OpenGl_GraphicDriver("TKOpenGl");
    aGraphicDriver->Begin (new Aspect_DisplayConnection());
    TCollection_ExtendedString aNameOfViewer ("Visu3D");
    aViewer = new V3d_Viewer (aGraphicDriver, aNameOfViewer.ToExtString());
    aViewer->Init();
    aViewer->SetDefaultLights();
    aViewer->SetLightOn();
    myContext = new AIS_InteractiveContext(aViewer);
    myContext->SetDisplayMode(AIS_Shaded);
}
